Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QAssistantClient Class Reference

The QAssistantClient class provides a means of using Qt Assistant as an application's help tool. More...

`#include <qassistantclient.h>`

Inherits QObject.

List of all member functions.

## Public Members

- QAssistantClient ( const QString & path, QObject * parent = 0, const char * name = 0 )
- ~QAssistantClient ()
- bool isOpen () const
- void setArguments ( const QStringList & args )

## Public Slots

- virtual void openAssistant ()
- virtual void closeAssistant ()
- virtual void showPage ( const QString & page )

## Signals

- void assistantOpened ()
- void assistantClosed ()
- void error ( const QString & msg )

## Properties

- bool open - whether Qt Assistant is open (read only)

## Detailed Description

The QAssistantClient class provides a means of using Qt Assistant as an application's help tool.

Using Qt Assistant is simple: Create a QAssistantClient instance, then call showPage() as often as necessary to show your help pages. When you call showPage(), Qt Assistant will be launched if it isn't already running.

The QAssistantClient instance can open (openAssistant()) or close (closeAssistant()) Qt Assistant whenever required. If Qt Assistant is open, isOpen() returns TRUE.

One QAssistantClient instance interacts with one Qt Assistant instance, so every time you call openAssistant(), showPage() or closeAssistant() they are applied to the particular Qt Assistant instance associated with the QAssistantClient.

When you call openAssistant() the assistantOpened() signal is emitted. Similarly when closeAssistant() is called, assistantClosed() is emitted. In either case, if an error occurs, error() is emitted.

This class is not included in the Qt library itself. To use it you must link against `libqassistantclient.a` (Unix) or `qassistantclient.lib` (Windows), which is built into `INSTALL/lib` if you built the Qt tools (`INSTALL` is the directory where Qt is installed). If you use qmake, then you can simply add the following line to your pro file:

            LIBS += -lqassistantclient

See also "Adding Documentation to Qt Assistant" in the Qt Assistant manual.

## Member Function Documentation

### QAssistantClient::QAssistantClient ( const QString & path, QObject * parent = 0, const char * name = 0 )

Constructs an assistant client object. The path specifies the path to the Qt Assistant executable. If path is an empty string the system path (`%PATH%` or `$PATH`) is used.

The assistant client object is a child of parent and is called name.

### QAssistantClient::~QAssistantClient ()

Destroys the assistant client object and frees up all allocated resources.

### void QAssistantClient::assistantClosed ()`[signal]`

This signal is emitted when the connection to Qt Assistant is closed. This happens when the user exits Qt Assistant, or when an error in the server or client occurs, or if closeAssistant() is called.

### void QAssistantClient::assistantOpened ()`[signal]`

This signal is emitted when Qt Assistant is open and the client-server communication is set up.

### void QAssistantClient::closeAssistant ()`[virtual slot]`

Use this function to close Qt Assistant.

See also assistantClosed().

### void QAssistantClient::error ( const QString & msg )`[signal]`

This signal is emitted if Qt Assistant cannot be started or if an error occurs during the initialization of the connection between Qt Assistant and the calling application. The msg provides an explanation of the error.

### bool QAssistantClient::isOpen () const

Returns TRUE if Qt Assistant is open; otherwise returns FALSE. See the "open" property for details.

### void QAssistantClient::openAssistant ()`[virtual slot]`

This function opens Qt Assistant and sets up the client-server communiction between the application and Qt Assistant. If it is already open, this function does nothing. If an error occurs, error() is emitted.

See also assistantOpened().

### void QAssistantClient::setArguments ( const QStringList & args )

Sets the command line arguments used when Qt Assistant is started to args.

### void QAssistantClient::showPage ( const QString & page )`[virtual slot]`

Call this function to make Qt Assistant show a particular page. The page is a filename (e.g. `myhelpfile.html`). See "Adding Documentation to Qt Assistant" in the Qt Assistant manual for further information.

If Qt Assistant hasn't been opened, this function will open it.

Example: helpsystem/mainwindow.cpp.

## Property Documentation

### bool open

This property holds whether Qt Assistant is open.

Get this property's value with isOpen().

This file is part of the Qt toolkit. Copyright © 1995-2004 Trolltech. All Rights Reserved.